Skip to main content
PUT
/
contacts
/
forget
/
{contact_id}
Forget Contact
curl --request PUT \
  --url https://api.swoogo.com/api/v1/contacts/forget/{contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data deleteCreditCardName=1 \
  --data 'registrantIds=[1,2]'
{
  "name": "Unauthorized",
  "message": "Your request was made with invalid credentials.",
  "code": 0,
  "status": 401
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

contact_id
integer
required

integer - required - The ID of the contact you want to forget

Example:

1

Body

application/x-www-form-urlencoded
deleteCreditCardName
string
Example:

"1"

registrantIds
string
Example:

"[1,2]"

Response